Create case

Overview

Use this method to create a case for Case Management.

📘

Info

This endpoint is available only in the paid version of Case Management 2.0 and does not create cases in earlier versions.

Request example

curl -X POST \
     'https://api.sumsub.com/resources/api/caseManagement/v2/cases' \
     -H 'content-type: application/json' \
     -d '{
            "applicantId": "63e25fd763e1fc4014ea8a1f",
            "txnIds": [
              "6901f0f654ec3deaa5711d31",
              "6901f0f654ec3deaa1234h67"
            ],
            "blueprintId": "687a5973dc7ec611c8f93982",
            "name": "Case name"
          }'

Response explained

The response is a JSON object containing data for a newly created case.

Below, you can see the response structure and possible content with descriptions.

Root variables

FieldTypeDescription
idStringUnique case identifier.
nameStringCase name.
applicantReferenceObjectReference data for the applicant associated with the case.
createdByTypeString

Indicates the type of entity that created the case.

Possible values: byOfficer, byRule, byWorkflow, byOngoingAmlHit, byApi.

groupByTypeStringGrouping type used for the case.
createdByRuleObject

Information about the rule that created the case.

Returned only if "createdByType": "byRule".

createdByOfficerString

Officer's identifier.

Returned only if "createdByType": "byOfficer".

createdByWorkflowRefObject

Information about the workflow that created the case.

Returned only if "createdByType": "byWorkflow".

createdAtDateDate and time when the case was created, in the format yyyy-MM-dd HH:mm:ssZZ.
updatedAtDateDate and time when the case was last updated, in the format yyyy-MM-dd HH:mm:ssZZ.
totalAmountInDefaultCurrencyDouble

Total amount of all transactions submitted for the case, in the default currency.

Returned if at least one transaction was submitted in the request.

clientIdString

Unique identifier of you as our client in the Sumsub system.

This identifier is assigned to you when you are registered in and get access to the Sumsub system. It usually resembles your name or your company name. clientId is automatically added to the applicant profile when it is created.

reviewObject

Includes case review data.

Note: This field is deprecated and will be removed once KM1 support ends.

applicantInfoObjectGeneral information about the applicant associated with the case.
blueprintReferenceObjectIncludes reference data of the blueprint assigned to the case.
caseReviewObjectThe current review state and checklist of the case.
amlCasesArray of objectsA list of AML cases associated with the case.
priorityStringCase priority (low, medium, high). Defaults to medium.

applicantReference attributes

This table describes the applicantReference attributes.

FieldTypeDescription
applicantIdStringUnique identifier of the applicant in the Sumsub system.
fullNameStringApplicant's full name.

createdByRule attributes

Returned only if "createdByType": "byRule".

FieldTypeDescription
idStringUnique identifier of the rule.
nameStringName of the rule.
titleStringDisplay name of the rule.
revisionIntegerRevision number.

createdByWorkflowRef attributes

Returned only if "createdByType": "byWorkflow".

FieldTypeDescription
idStringUnique identifier of the workflow.
titleStringName of the action from the workflow.

review attributes

This table describes the review attributes.

FieldTypeDescription
reviewIdStringUnique review identifier.
attemptIdStringUnique identifier of the current case verification attempt.
attemptCntIntegerSequential number of the current case verification attempt.
createDateDateDate and time when the case review was initiated in the Sumsub system, in the format yyyy-MM-dd HH:mm:ssZZ.
reviewStatusStringCase review status (for example, init).

applicantInfo attributes

This table describes the applicantInfo attributes.

FieldTypeDescription
firstNameStringApplicant's first name in the original language.
firstNameEnStringAutomatic's transliteration of the applicant first name into Latin characters.
middleNameStringApplicant's middle name in the original language.
middleNameEnStringAutomatic's transliteration of the applicant middle name into Latin characters.
lastNameStringApplicant's last name in the original language.
lastNameEnStringAutomatic's transliteration of the applicant last name into Latin characters.
dobStringApplicant's date of birth as a Unix timestamp in milliseconds.
countryStringApplicant's country as an ISO 3166-1 alpha-3 country code (for example, DEU, GBR, ARG)..

blueprintReference attributes

This table describes the blueprintReference attributes.

FieldTypeDescription
nameStringName of the assigned blueprint.
blueprintIdStringUnique identifier of the blueprint.

caseReview attributes

The table describes the caseReview attributes.

FieldTypeDescription
statusString

Current status of the case review.

Possible values: open, awaitingUser, blocked, resolvedFalsePositive, resolvedPotentialThreat.

checklistStateObjectChecklist state associated with the case.

checklistState.checklist[]

FieldTypeDescription
nameStringThe name of the checklist item.
checkedBooleanIndicates whether the checklist item is completed (true) or not (false).

amlCases[]

FieldTypeDescription
amlCaseIdStringUnique identifier of the AML case.

Response examples

If the request is successfully sent and processed, you will get a response like the one below.

{
  "id": "69818c8f76dd490000000000",
  "name": "Case name",
  "applicantReference": {
    "applicantId": "63e25fd763e1fc0000000000",
    "fullName": "John Doe"
  },
  "createdByType": "byApi",
  "createdAt": "2026-02-03 05:50:07+0000",
  "updatedAt": "2026-02-03 05:50:07+0000",
  "totalAmountInDefaultCurrency": 101000,
  "clientId": "your_cool_client_id",
  "review": {
    "reviewId": "cvNHe",
    "attemptId": "wIOCl",
    "attemptCnt": 0,
    "createDate": "2026-02-03 05:50:07+0000",
    "reviewStatus": "init"
  },
  "applicantInfo": {
    "firstName": "John",
    "firstNameEn": "John",
    "middleName": "",
    "middleNameEn": "",
    "lastName": "Doe",
    "lastNameEn": "Doe",
    "dob": 944697600000,
    "country": "GBR"
  },
  "blueprintReference": {
    "name": "AML investigation",
    "blueprintId": "687a5973dc7ec611c8f93982"
  },
  "caseReview": {
    "status": "open"
  },
  "priority": "medium"
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "code": 400,
  "correlationId": "6afb958d4f064b5fd4f19986b56299b8",
  "description": "Couldn't find or parse value of `blueprintId` parameter."
}
Body Params
string
required
txnIds
array of strings
txnIds
string
required
string
Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!